Bug 126710 - enabling bsdgroups default mount option with tune2fs does not work
enabling bsdgroups default mount option with tune2fs does not work
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: e2fsprogs (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2004-06-24 23:14 EDT by David Goode
Modified: 2015-01-07 19:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-05 22:23:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Goode 2004-06-24 23:14:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:

When enabling bsdgroups as a default mount option into the fs
superblock with tune2fs, the option is stored as can be seen with
tune2fs -l, but does not seem to have an affect on the volume once

This is desired as possible alternative to setgid on a directory. In
these cases this option is not overwritten by mount command line or in

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. chown :dgoode /data
2. tune2fs -o bsdgroups /dev/partition 
3. cd /data
4. touch file
5. ls -l

Actual Results:  file group owner is root, or the user which created
the file, and not that of the owner of the /data directory

Expected Results:  since the group owner of /data is dgoode, I would
expect that the owner of the file would also be dgoode as outlined in
the man page for tune2fs

Additional info:

Note You need to log in before you can comment on or make changes to this bug.